Skip to content

Fetch custom entity definitions by ID or list with pagination.

Request

Security
bearerAuth and apiKeyAuth
Query
idstring

Comma-separated list of definition IDs

pageNumberstring

Page number (0-based)

pageSizestring

Page size

curl -i -X GET \
  'https://developer.sprinklr.com/_mock/apis/sprinklr-v3/customEntity/definition?id=string&pageNumber=string&pageSize=string' \
  -H 'Authorization: Bearer <YOUR_Token_HERE>' \
  -H 'Key: YOUR_API_KEY_HERE'

Responses

Success

Bodyapplication/json
Array [
idstring

Id of the definition

namestring

Name for the entity

pluralNamestring

Plural Name for the entity

descriptionstring

Description for the entity

baseDefinitionIdstring

Id of the base entity definition, if this is an extended entity

iconstring

Icon for the entity

permissionEnabledboolean

Specifies if the entity is permission controlled.

scriptstring

Script for external entity.

scriptVersionstring

Script version. A compiled script is cached for sometime, to update the script, please update the version.

createdTimeinteger, (int64)

Created time for the entity

modifiedTimeinteger, (int64)

Last modified time for the entity

]
Response
[ { "id": "string", "name": "string", "pluralName": "string", "description": "string", "baseDefinitionId": "string", "icon": "string", "permissionEnabled": true, "script": "string", "scriptVersion": "string", "createdTime": 0, "modifiedTime": 0 } ]